QGIS Application - Feature request #14124
option to export as raster on a per-item basis in print composer
2016-01-17 12:05 PM - Jesse McMillan

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 22126
Description

When exporting to pdf with advanced effects enabled it is necessary to 'print as raster' to retain the effects properly. However, the current
option rasterizes the entire page including tables, text etc. This results in higher file sizes, and lower quality text when printed on a laser
printer.

A more flexible approach would be to have a "export as raster" option available on a per-item basis in the composer. That way if only one
item on the composer needs to be rasterized the rest will remain higher-quality vector items.

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-09-22 10:05 AM - Jiirgen Fischer
- Category set to Unknown

#3 - 2017-12-18 11:42 PM - Nyall Dawson
- Resolution set to fixed/implemented

- Status changed from Open to Closed
- Description updated

Implemented in layouts engine
